dht::IceCandidates Class Reference
Inheritance diagram for dht::IceCandidates:
[legend]
Collaboration diagram for dht::IceCandidates:
[legend]

## Public Member Functions

| IceCandidates (Value::Id msg_id, Blob ice)
template<typename Packer >
void | msgpack_pack (Packer &pk) const
virtual void | msgpack_unpack (msgpack::object o)
Public Member Functions inherited from dht::EncryptedValue< IceCandidates >
virtual void | unpackValue (const Value &v) override
virtual void | unpackValue (const Value &v) override
Public Member Functions inherited from dht::Value::Serializable< IceCandidates >
virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const
virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Static Public Member Functions

static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::EncryptedValue< IceCandidates >
static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::SignedValue< IceCandidates >
static Value::Filter | getFilter ()

## Public Attributes

Value::Id | id {0}
Blob | ice_data
Public Attributes inherited from dht::EncryptedValue< IceCandidates >
dht::InfoHash | to
Public Attributes inherited from dht::SignedValue< IceCandidates >
dht::InfoHash | from

## Static Public Attributes

static const ValueType | TYPE

## Additional Inherited Members

Public Types inherited from dht::EncryptedValue< IceCandidates >
using | BaseClass = SignedValue< IceCandidates >

## Detailed Description

Definition at line 157 of file default_types.h.

## Constructor & Destructor Documentation

## IceCandidates() [1/2]

dht::IceCandidates::IceCandidates | ( |  | ) |

inline

Definition at line 165 of file default_types.h.

## IceCandidates() [2/2]

dht::IceCandidates::IceCandidates | ( | Value::Id | msg_id,
|  | Blob | ice
| ) |  |

inline

Definition at line 166 of file default_types.h.

## Member Function Documentation

## getFilter()

static Value::Filter dht::IceCandidates::getFilter | ( |  | ) |

inline static

Definition at line 168 of file default_types.h.

## msgpack_pack()

template<typename Packer >

void dht::IceCandidates::msgpack_pack | ( | Packer & | pk | ) | const

inline

Definition at line 173 of file default_types.h.

## msgpack_unpack()

virtual void dht::IceCandidates::msgpack_unpack | ( | msgpack::object | o | ) |

inline virtual

Definition at line 189 of file default_types.h.

## Member Data Documentation

## ice_data

Blob dht::IceCandidates::ice_data

Definition at line 198 of file default_types.h.

## id

Value::Id dht::IceCandidates::id {0}

Definition at line 197 of file default_types.h.

## TYPE

const ValueType dht::IceCandidates::TYPE

static

Definition at line 163 of file default_types.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/default_types.h